Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deDynamicArray Class Reference

`#include <deShared.hpp>`

List of all members.

## Public Member Functions
| deDynamicArray (const unsigned int Size, const unsigned int Count)
| deDynamicArray (deDynamicArray &deDynamicArraySource)
| ~deDynamicArray ()
deBoolean | GetCreationResult (void)
void | SetArrayGrowthRate (unsigned int GrowthRate)
unsigned int | GetElementSize (void)
unsigned int | GetElementCount (void)
void * | GetElement (unsigned int Index)
deBoolean | SetElement (void *Element, unsigned int Index)
## Private Member Functions
deBoolean | GrowArray (unsigned int SizeIncrease)
## Private Attributes
deBoolean | CreationResult
unsigned int | ElementSize
unsigned int | ElementCount
void * | Array
unsigned int | ArrayGrowthRate

## Constructor & Destructor Documentation

deDynamicArray::deDynamicArray | ( | const unsigned int | Size,
|  | const unsigned int | Count
| ) |

deDynamicArray::deDynamicArray | ( | deDynamicArray & | deDynamicArraySource | ) |

deDynamicArray::~deDynamicArray | ( |  | ) |

## Member Function Documentation

deBoolean deDynamicArray::GetCreationResult | ( | void |  | ) | `[inline]`

void * deDynamicArray::GetElement | ( | unsigned int | Index | ) |

unsigned int deDynamicArray::GetElementCount | ( | void |  | ) | `[inline]`

unsigned int deDynamicArray::GetElementSize | ( | void |  | ) | `[inline]`

deBoolean deDynamicArray::GrowArray | ( | unsigned int | SizeIncrease | ) | `[private]`

void deDynamicArray::SetArrayGrowthRate | ( | unsigned int | GrowthRate | ) | `[inline]`

deBoolean deDynamicArray::SetElement | ( | void * | Element,
|  | unsigned int | Index
| ) |

## Member Data Documentation

void* deDynamicArray::Array`[private]`

unsigned int deDynamicArray::ArrayGrowthRate`[private]`

deBoolean deDynamicArray::CreationResult`[private]`

unsigned int deDynamicArray::ElementCount`[private]`

unsigned int deDynamicArray::ElementSize`[private]`

The documentation for this class was generated from the following files:

- deShared.hpp
- deDynamicArray.cpp